Skip to main content
GET
/
prices
Retrieve prices
curl --request GET \
  --url https://api.engine.usesophic.com/prices \
  --header 'Authorization: Bearer <token>'
[
  {
    "symbol": "<string>",
    "bid": "<string>",
    "ask": "<string>",
    "mid": "<string>",
    "ytm_bid": "<string>",
    "ytm_ask": "<string>",
    "ytm_mid": "<string>",
    "accrued_interest": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "dirty_bid": "<string>",
    "dirty_ask": "<string>",
    "dirty_mid": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

symbol
string[]
required

Return prices for the given symbols.

asof
string<date-time>

Return prices as-of the given datetime. Defaults to now.

Response

OK

symbol
string
required

The instrument symbol i.e ISIN or ticker.

price_type
enum<string>
required

The type of price (e.g. percentage or monetary). Percentage prices are expressed as a percentage of par (and apply to fixed-income instruments), while monetary prices are expressed as a monetary value.

Available options:
percent,
money
quality
enum<string>
required

The quality of the price (e.g. closing, delayed, realtime).

Available options:
closing,
intraday,
realtime,
delayed
currency
enum<string>
required

The currency of the price. This is specified for percentage prices as well, and reflects the trading currency of the instrument. For currency pairs, this is the base currency.

Available options:
EUR,
USD,
GBP
bid
string
required

The bid (buy) price at the specific point in time.

ask
string
required

The ask (sell) price at the specific point in time.

mid
string | null
required

The mid-price (bid + ask / 2).

ytm_bid
string | null
required

The bid yield-to-maturity at the specific point in time. Only applicable for fixed-income instrument types like bonds and bills.

ytm_ask
string | null
required

The ask yield-to-maturity at the specific point in time. Only applicable for fixed-income instrument types like bonds and bills.

ytm_mid
string | null
required

The mid yield-to-maturity (bid + ask / 2) at the specific point in time. Only applicable for fixed-income instrument types like bonds and bills.

accrued_interest
string | null
required

Accrued interest at standard settlement, in the same units as bid/ask (% of par). Populated only for fixed-coupon bonds.

timestamp
string<date-time>
required

ISO-8601 datetime of when the price was in effect.

dirty_bid
string | null

Gross (dirty) bid for fixed-income instruments: full settlement cash price including accrued interest, in the same units as bid (typically % of par). Set when the vendor publishes dirty quotes alongside clean bid/ask/mid; otherwise null.

dirty_ask
string | null

Gross (dirty) ask for fixed-income instruments: full settlement cash price including accrued interest, in the same units as ask. Set when the vendor publishes dirty quotes alongside clean bid/ask/mid; otherwise null.

dirty_mid
string | null

Gross (dirty) mid derived from dirty bid and ask (or supplied by the vendor), in the same units as mid. Null when dirty sides are not available.